Subject: bug#52564: Errors building pgtk in Fedora 34 & 35 using --with-xwidgets

From: Po Lu <[email-masked]>
Date: Sat, 18 Dec 2021 10:36:24 +0800

Sebastián Monía <[email-masked]> writes:

> Building Emacs pgtk branch, I get compilation errors running
> make. Started using Fedora 34, but upgraded to Fedora 35 in case I had
> something outdated but still, same problem. A bunch of the compilation
> errors refer to the same structs/data types so I have a sample of one
> of each (but maybe I missed one "type"):

xwidgets are not supposed to work on PGTK: the new code (since November)
requires X primitives to work.

I don't want to make changes to the xwidget code on the feature branch
to make it work there.  The priority for that branch is to merge it into
master, not to add features that will further diverge it from master.

Stefan, could you please tag this issue as "wishlist"?  Thanks.